package com.soft.controller;

import com.soft.dto.SaveDemandDTO;
import com.soft.resp.Result;
import com.soft.service.DemandService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/soft")
@Api(tags = "api")
public class SoftController {

    @Autowired
    private DemandService demandService;


    @PostMapping("/saveSoftWareDemand")
    @ApiOperation(value = "提交表单")
    public Result saveSoftWareDemand(@RequestBody SaveDemandDTO saveDemandDTO) {
        if (saveDemandDTO == null) {
            return Result.isEmpty();
        }
        Integer result=demandService.saveSoftWareDemand(saveDemandDTO);

        if(result>0){
            return Result.success("ok");
        }else{
            return Result.fail("fail");
        }

    }

}
