package com.soft.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SaveDemandDTO {


    @ApiModelProperty(value = "用户ID")
    private Integer userId;

    @ApiModelProperty(value = "公司名")
    private String companyName;

    @ApiModelProperty(value = "公司地址")
    private String companyAddress;

    @ApiModelProperty(value = "对接人")
    private String person;

    @ApiModelProperty(value = "对接人手机号")
    private String personPhone;

    @ApiModelProperty(value = "需要使用的系统")
    private String demandSystem;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "公司类型")
    private String companyType;

    @ApiModelProperty(value = "公司规模")
    private String companyScale;

    @ApiModelProperty(value = "公司经营范围")
    private String companyScope;

    @ApiModelProperty(value = "公司组织架构")
    private String companyFramework;

    @ApiModelProperty(value = "公司业务范围")
    private String companyBusinessScope;

    @ApiModelProperty(value = "意向代理级别")
    private String agentLevel;

    @ApiModelProperty(value = "备注")
    private String remarks;
}
