package com.soft.entitys.voice;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zmj
 * @since 2021-10-16
 */
@Data
@TableName("tbl_purchase_return")
public class PurchaseReturn   {


  /**
   * ID
   */
  private String id;

  /**
   * 单号
   */
  private String code;

  /**
   * 仓库ID
   */
  private String scId;

  /**
   * 供应商ID
   */
  private String supplierId;

  /**
   * 采购员ID
   */
  private String purchaserId;

  /**
   * 付款日期
   */
  private LocalDate paymentDate;

  /**
   * 收货单ID
   */
  private String receiveSheetId;

  /**
   * 商品数量
   */
  private Integer totalNum;

  /**
   * 赠品数量
   */
  private Integer totalGiftNum;

  /**
   * 退货金额
   */
  private BigDecimal totalAmount;

  /**
   * 备注
   */
  private String description;

  /**
   * 创建人ID 新增时赋值
   */
  private String createById;

  /**
   * 创建人 新增时赋值
   */
  private String createBy;

  /**
   * 创建时间 新增时赋值
   */
  private Date createTime;

  /**
   * 修改人 新增和修改时赋值
   */
  private String updateBy;

  /**
   * 修改人ID 新增和修改时赋值
   */
  private String updateById;

  /**
   * 修改时间 新增和修改时赋值
   */
  private Date updateTime;

  /**
   * 审核人
   */
  private String approveBy;

  /**
   * 审核时间
   */
  private Date approveTime;


  /**
   * 拒绝原因
   */
  private String refuseReason;


}
