package com.soft.entitys.voice;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author zmj
 * @since 2021-10-21
 */
@Data
@TableName("tbl_sale_order_detail")
public class SaleOrderDetail   {


  /**
   * ID
   */
  private String id;

  /**
   * 订单ID
   */
  private String orderId;

  /**
   * 商品ID
   */
  private String productId;

  /**
   * 销售数量
   */
  private Integer orderNum;

  /**
   * 原价
   */
  private BigDecimal oriPrice;

  /**
   * 现价
   */
  private BigDecimal taxPrice;

  /**
   * 折扣率（%）
   */
  private BigDecimal discountRate;

  /**
   * 是否赠品
   */
  private Boolean isGift;

  /**
   * 税率（%）
   */
  private BigDecimal taxRate;

  /**
   * 备注
   */
  private String description;

  /**
   * 排序编号
   */
  private Integer orderNo;

  /**
   * 已出库数量
   */
  private Integer outNum;

  /**
   * 组合商品原始明细ID
   */
  private String oriBundleDetailId;

  /**
   * 采购价
   */
  private BigDecimal purchaseDecimal;

  /**
   * 采购总价
   */
  private BigDecimal totalPurchasePrice;


  /**
   * 仓库ID
   */
  private String scId;
}
