package com.soft.enums;

import com.soft.utils.ResultUtil;

public enum AuthEnum {

    NOT_AUTHENTICATION(ResultUtil.NOT_AUTHENTICATION_CODE),
    LOGIN_TOKEN_INVALID(ResultUtil.LOGIN_TOKEN_INVALID_CODE);
    private AuthEnum(int code){
        this.code=code;
        this.message=ResultUtil.getMessage(code);
    }

    private int code;
    private String message;

    public int getCode() {
        return code;
    }
    public String getMessage() {
        return message;
    }

}
