package com.soft.enums;

import com.soft.utils.ResultUtil;

/**
 * 通用返回信息
 */
public enum CommEnum {

    SUCCESS(ResultUtil.SUCCESS_CODE),
    FAIL(ResultUtil.FAIL_CODE),
    EMPTY_PARAM(ResultUtil.EMPTY_PARAM_CODE),
    ERROR(ResultUtil.ERROR_CODE);
    private CommEnum(int code){
        this.code=code;
        this.message=ResultUtil.getMessage(code);
    }

    private int code;
    private String message;

    public int getCode() {
        return code;
    }
    public String getMessage() {
        return message;
    }

}
