package com.soft.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum ProductType {
    NORMAL(1, "普通商品"), BUNDLE(2, "组合商品");

    @EnumValue
    private final Integer code;

    private final String desc;

    ProductType(Integer code, String desc) {

        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {

        return this.code;
    }

    public String getDesc() {
        return this.desc;
    }
}
