package com.soft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.soft.entitys.sys.SysMenu;
import org.apache.ibatis.annotations.Param;

import java.util.Set;

public interface SysMenuMapper extends BaseMapper<SysMenu> {
    /**
     * 根据用户ID查询角色权限
     *
     * @param userId
     * @return
     */
    Set<String> getRolePermissionByUserId(@Param("userId") String userId);
}
