package com.soft.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.soft.entitys.user.Agent;
import com.soft.mapper.AgentMapper;
import com.soft.service.AgentService;
import com.soft.vo.AgentLevelVo;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AgentServiceImpl extends ServiceImpl<AgentMapper, Agent> implements AgentService {


    @Override
    public Agent getAgentByLevel(Integer levelId) {
        return super.baseMapper.getAgentByLevel(levelId);
    }

    @Override
    public List<AgentLevelVo> getAgentLevelList() {
        return super.baseMapper.getAgentLevelList();
    }

    @Override
    public Agent getAgentById(Integer id) {
        return super.baseMapper.getAgentById(id);
    }

}
