package com.soft.service.impl;

import com.soft.entitys.voice.SaleOrderDetail;
import com.soft.mapper.SaleOrderDetailMapper;
import com.soft.service.SaleOrderDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SaleOrderDetailServiceImpl implements SaleOrderDetailService {

    @Autowired
    private SaleOrderDetailMapper saleOrderDetailMapper;


    @Override
    public List<SaleOrderDetail> listByOrderIdAsc(String id) {
        return saleOrderDetailMapper.listByOrderId(id);
    }

    @Override
    public int save(SaleOrderDetail newDetail) {
        return saleOrderDetailMapper.insert(newDetail);
    }

    @Override
    public int removeById(String id) {
        return saleOrderDetailMapper.deleteById(id);
    }

    @Override
    public List<SaleOrderDetail> getBySaleOrderId(String id) {
        return saleOrderDetailMapper.listByOrderId(id);
    }
}
