package com.soft.utils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class MinutesUtil {

    public static Integer extractMinutes(String minutesString) {
        Pattern pattern = Pattern.compile("\\d+"); // 匹配一个或多个数字
        Matcher matcher = pattern.matcher(minutesString);

        if (matcher.find()) {
            String extractedString = matcher.group(); // 提取匹配到的数字部分
            return Integer.parseInt(extractedString);
        }

        return 0; // 默认返回0或抛出异常，根据实际需求进行处理
    }
}
