package com.soft.utils;

import lombok.Data;

@Data
public class PieChartData {
    private String name;     // 商品名称
    private Integer value;   // 库存数量
    private String percent;  // 百分比字符串

    // 全参构造方法（必须正确赋值字段！）
    public PieChartData(String name, Integer value, String percent) {
        this.name = name;
        this.value = value;
        this.percent = percent;
    }

    // 无参构造方法（JSON反序列化需要）
    public PieChartData() {

    }
}
