package com.soft.utils;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class PieChartsData {

    private String name;     // 商品名称
    private BigDecimal value;   // 库存数量
    private String percent;  // 百分比字符串

    // 全参构造方法（必须正确赋值字段！）
    public PieChartsData(String name, BigDecimal value, String percent) {
        this.name = name;
        this.value = value;
        this.percent = percent;
    }

    // 无参构造方法（JSON反序列化需要）
    public PieChartsData() {

    }

}
