package com.soft.utils;

import com.alibaba.fastjson.JSONObject;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class WxUtil {

    private static Logger logger= LoggerFactory.getLogger(com.soft.utils.WxUtil.class);



    /**
     * 获取微信小程序token
     * @return
     */
    public static String getToken(){
        String result= HttpUtils.sendGet(ConstantUtil.WX_TOKEN_URL);
        logger.info("result :"+result);
        if(StringUtils.isBlank(result)){
            return null;
        }
        JSONObject jsonObject = JSONObject.parseObject(result);
        return jsonObject.getString("access_token");
    }


}
