package com.soft.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class CheckTodysSalesAmountVo {



    private BigDecimal salesAmount;

    private String chartType;

    private String msg;

    @ApiModelProperty(value = "横轴：业务员名称")
    private List<String> xAxisData; // 横轴：业务员名称

    @ApiModelProperty(value = "纵轴：订单金额")
    private List<BigDecimal> yAxisData; // 纵轴：订单金额

}
