package com.soft.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class OrderDataWeekVo {

    @ApiModelProperty(value = "本周销售订单金额")
    private BigDecimal thisWeekSaleOrderAmount;

    @ApiModelProperty(value = "本周销售订单数量")
    private Integer thisWeekSaleQuantityCount;

    @ApiModelProperty(value = "本周采购订单金额")
    private BigDecimal thisWeekPurchaseOrderAmount;

    @ApiModelProperty(value = "本周采购订单数量")
    private Integer thisWeekPurchaseQuantityCount;
}
