package com.soft.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ProductStockLogVo {

    /**
     * ID
     */
    private String id;

    /**
     * 仓库ID
     */
    private String scId;

    /**
     * 商品ID
     */
    private String productId;

    /**
     * 商品名
     */
    private String productName;

    /**
     * 原库存数量
     */
    private Integer oriStockNum;

    /**
     * 现库存数量
     */
    private Integer curStockNum;

    /**
     * 原含税成本价
     */
    private BigDecimal oriTaxPrice;

    /**
     * 现含税成本价
     */
    private BigDecimal curTaxPrice;

    /**
     * 变动库存数量
     */
    private Integer stockNum;

    /**
     * 变动含税金额
     */
    private BigDecimal taxAmount;


    private String createById;


    private String createBy;


    private Date createTime;

    /**
     * 业务单据ID
     */
    private String bizId;

    /**
     * 业务单据号
     */
    private String bizCode;

    /**
     * 业务单据明细ID
     */
    private String bizDetailId;

    /**
     * 业务类型
     */
    private Integer bizType;
}
