package com.soft.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class SaleOrderChartVo {

    private List<SaleOrderVo> list;

    private String chartType;

    private String msg;

    @ApiModelProperty(value = "横轴：客户名称")
    private List<String> xAxisData;

    @ApiModelProperty(value = "纵轴：订单金额")
    private List<BigDecimal> yAxisData;
}
