package com.soft.vo;

import com.soft.utils.PieChartData;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class SaleOrderTotalProfitVo {

    @ApiModelProperty(value = "利润总和")
    private BigDecimal totalProfit;

    @ApiModelProperty(value = "成本")
    private BigDecimal cost;

    @ApiModelProperty(value = "营收")
    private BigDecimal revenue;

    private String chartType;

    private String msg;

    private List<PieChartData> pieChartData; // 饼图数据列表

   // private List<PieChartData> marginChartData;


}
