package com.soft.common.security;

import java.io.Serializable;

public interface UserDetails extends Serializable {
    String getPassword();

    String getUsername();

    boolean isAccountNonExpired();

    boolean isAccountNonLocked();

    boolean isCredentialsNonExpired();

    boolean isEnabled();

    boolean isAdmin();

    boolean hasAdminPermission();
}
