package com.soft.controller;

import cn.hutool.core.util.ObjectUtil;
import com.soft.vo.page.PageVo;

public abstract class BaseController {
    public BaseController() {
    }

    public int getPageIndex(PageVo vo) {
        return !ObjectUtil.isNull(vo) && !ObjectUtil.isNull(vo.getPageIndex()) && vo.getPageIndex() > 0 ? vo.getPageIndex() : 1;
    }

    public int getPageSize(PageVo vo) {
        return !ObjectUtil.isNull(vo) && !ObjectUtil.isNull(vo.getPageSize()) && vo.getPageSize() > 0 ? vo.getPageSize() : 20;
    }

    public int getPageIndex() {
        return this.getPageIndex((PageVo)null);
    }

    public int getPageSize() {
        return this.getPageSize((PageVo)null);
    }

    public int getExportSize() {
        return 2000;
    }

}

