package com.soft.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zmj
 * @since 2021-07-04
 */
@Data
@TableName("sys_user")
public class SysUserDTO {

  private String id;

  /**
   * 编号
   */
  private String code;

  /**
   * 姓名
   */
  private String name;

  /**
   * 用户名
   */
  private String username;

  /**
   * 密码
   */
  private String password;

  /**
   * 邮箱
   */
  private String email;

  /**
   * 联系电话
   */
  private String telephone;


  /**
   * 状态 1-在用 0停用
   */
  private Boolean available;

  /**
   * 锁定状态
   */
  private Boolean lockStatus;

  /**
   * 备注
   */
  private String description;

  /**
   * 创建人ID 新增时赋值
   */
  private String createById;

  /**
   * 创建人 新增时赋值
   */
  private String createBy;

  /**
   * 创建时间 新增时赋值
   */
  private Date createTime;

  private String updateBy;

  private String updateById;

  private Date updateTime;
}
