package com.soft.entitys;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zmj
 * @since 2021-11-19
 */
@Data
@TableName("tbl_order_chart")
public class OrderChart extends BaseEntity  {

  private static final long serialVersionUID = 1L;

  /**
   * ID
   */
  private String id;

  /**
   * 单据总金额
   */
  private BigDecimal totalAmount;

  /**
   * 创建时间 新增时赋值
   */
  @TableField(fill = FieldFill.INSERT)
  private LocalDateTime createTime;

  /**
   * 创建日期
   */
  private String createDate;

  /**
   * 创建时间（小时）
   */
  private String createHour;

  /**
   * 业务类型
   */
  private int bizType;
}
