package com.soft.entitys.user;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("soft_agent")
@Api(tags = "代理表")
public class Agent {

    private Integer id;

    @ApiModelProperty(value = "代理类型")
    private Integer type;

    @ApiModelProperty(value = "代理等级")
    private Integer level;

    @ApiModelProperty(value = "利润返点")
    private String profitRebate;

    @ApiModelProperty(value = "利润比率")
    private String profit;

    @ApiModelProperty(value = "升级所需")
    private Integer count;

    @ApiModelProperty(value = "添加时间")
    private Date addTime;

}
