package com.soft.entitys.voice;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zmj
 * @since 2021-09-12
 */
@Data
@TableName("tbl_purchase_order")
public class PurchaseOrder{


  /**
   * ID
   */
  private String id;

  /**
   * 单号
   */
  private String code;

  /**
   * 仓库ID
   */
  private String scId;

  /**
   * 供应商ID
   */
  private String supplierId;

  /**
   * 采购员ID
   */
  private String purchaserId;

  /**
   * 预计到货日期
   */
  private LocalDate expectArriveDate;

  /**
   * 采购数量
   */
  private Integer totalNum;

  /**
   * 赠品数量
   */
  private Integer totalGiftNum;

  /**
   * 采购金额
   */
  private BigDecimal totalAmount;

  /**
   * 备注
   */
  private String description;

  /**
   * 创建人ID 新增时赋值
   */

  private String createById;

  /**
   * 创建人 新增时赋值
   */

  private String createBy;

  /**
   * 创建时间 新增时赋值
   */

  private Date createTime;

  /**
   * 修改人 新增和修改时赋值
   */

  private String updateBy;

  /**
   * 修改人ID 新增和修改时赋值
   */

  private String updateById;

  /**
   * 修改时间 新增和修改时赋值
   */

  private Date updateTime;

  /**
   * 审核人
   */
  private String approveBy;

  /**
   * 审核时间
   */
  private Date approveTime;

  /**
   * 订单审核状态
   */

  private Integer status;

  /**
   * 拒绝原因
   */
  private String refuseReason;

  /**
   * 关联订单号
   */
  private String linkNumber;
}
