package com.soft.entitys.voice;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zmj
 * @since 2021-12-05
 */
@Data
@TableName("settle_sheet")
public class SettleSheet  {


    /**
     * ID
     */
    private String id;

    /**
     * 单号
     */
    private String code;

    /**
     * 供应商ID
     */
    private String supplierId;

    /**
     * 总金额
     */
    private BigDecimal totalAmount;

    /**
     * 已优惠金额
     */
    private BigDecimal totalDiscountAmount;

    /**
     * 起始时间
     */
    private Date startDate;

    /**
     * 截止日期
     */
    private Date endDate;

    /**
     * 备注
     */
    private String description;

    /**
     * 创建人ID 新增时赋值
     */

    private String createById;

    /**
     * 创建人 新增时赋值
     */

    private String createBy;

    /**
     * 创建时间 新增时赋值
     */

    private LocalDateTime createTime;

    /**
     * 修改人 新增和修改时赋值
     */

    private String updateBy;

    /**
     * 修改人ID 新增和修改时赋值
     */

    private String updateById;

    /**
     * 修改时间 新增和修改时赋值
     */

    private Date updateTime;

    /**
     * 审核人
     */
    private String approveBy;

    /**
     * 审核时间
     */
    private Date approveTime;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 拒绝原因
     */
    private String refuseReason;
}
