package com.soft.enums;

public enum QueryType {

    TODAY_PURCHASE_AMOUNT,    // 今日采购订单金额
    TODAY_SALES_AMOUNT,       // 今日销售订单金额
    PRODUCT_INVENTORY,        // 商品库存查询
    TODAY_OUTBOUND_ORDERS,    // 今日销售出库订单
    TODAY_PURCHASE_ORDERS,      //今天采购入库订单
    TODAY_PURCHASE_RETURN, //今日销售退货订单
    CUSTOMER_NAME_SEARCH, //根据客户名搜索
    USER_NAME_ORDERS_SEARCH,
    SALES_ORDERS_BY_DATE, //时间查询销售订单
    PURCHASE_ORDERS_BY_DATE, //时间查询采购订单
    PRODUCT_STOCK_LOG_BY_NAME, //出入库流水
    REVENUE_COUNT,      //营收账款
    ACCOUNTS_PAYABLE, //应付账款
    PAYMENT_TOF_FEES, //费用支付
    TOTAL_PROFIT, //利润总和
    MONTH_SALE_AMOUNT,  //本月销售订单
    MONTH_PURCHASE_AMOUNT, //本月采购订单
    YEAR_SALE_AMOUNT, //本年销售订单
    YEAR_PURCHASE_AMOUNT //本年采购订单
 }
