package com.soft.enums.system;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum SysMenuComponentType  {

  NORMAL(0, "普通"), CUSTOM_LIST(1, "自定义列表"), CUSTOM_PAGE(3, "自定义页面");

  @EnumValue
  private final Integer code;

  private final String desc;

  SysMenuComponentType(Integer code, String desc) {

    this.code = code;
    this.desc = desc;
  }

  public Integer getCode() {
    return code;
  }

  public String getDesc() {
    return desc;
  }
}
