package com.soft.enums.system;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum SysMenuDisplay {

  CATALOG(0, "目录"), FUNCTION(1, "菜单"), PERMISSION(2, "权限");

  @EnumValue
  private final Integer code;

  private final String desc;

  SysMenuDisplay(Integer code, String desc) {

    this.code = code;
    this.desc = desc;
  }

  public Integer getCode() {
    return this.code;
  }

  public String getDesc() {
    return this.desc;
  }
}
