package com.soft.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.soft.entitys.voice.ProductStock;
import com.soft.vo.ProductStockDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface ProductStockMapper extends BaseMapper<ProductStock> {

    Integer getProductStockNum();

    List<ProductStockDataVo> getProductStockList(@Param("startNum")Integer startNum, @Param("pageSize")Integer pageSize);

    List<ProductStockDataVo> getProductStockProportion();

    Integer getProductStockListCount();

}
