package com.soft.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.soft.dto.SysUserDTO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Set;


public interface SysUserMapper extends BaseMapper<SysUserDTO> {

    SysUserDTO getSysUserByName(String userName);

    SysUserDTO getSysUserById(String id);

    @Select({
            "<script>",
            "SELECT id, name FROM sys_user WHERE id IN ",
            "<foreach item='id' collection='ids' open='(' separator=',' close=')'>",
            "#{id}",
            "</foreach>",
            "</script>"
    })
    List<SysUserDTO> selectUsersByIds(@Param("ids") Set<String> ids);

    SysUserDTO query(@Param("username") String username);
}
