package com.soft.service;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.soft.dto.WeChatLoginRequestDTO;
import com.soft.entitys.user.User;
import com.soft.vo.BindPhoneVo;

import java.util.List;
import java.util.Map;

public interface UserService extends IService<User>{

    Map<String,Object> getUserInfoMap(WeChatLoginRequestDTO loginRequest);

    JSONObject decryptData(String encryptedData, String sessionKey, String iv);

    BindPhoneVo getPhoneNumber(String code, Integer pid, Integer uId, Integer type);

    User queryByOpenId(String openId);

    int updateUserById(User user);

    User queryBySysUserId(String id);

    User getUserById(Integer userId);

}
