package com.soft.service.impl;

import cn.hutool.core.codec.Base64;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.soft.dto.SaveDemandDTO;
import com.soft.dto.WeChatLoginRequestDTO;
import com.soft.entitys.demand.Demand;
import com.soft.entitys.user.User;
import com.soft.mapper.DemandMapper;
import com.soft.mapper.UserMapper;
import com.soft.service.DemandService;
import com.soft.service.UserService;
import com.soft.utils.ConstantUtil;
import com.soft.utils.HttpUtils;
import org.bouncycastle.jce.provider.BouncyCastleProvider;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;




@Service
public class DemandServiceImpl extends ServiceImpl<DemandMapper, Demand> implements DemandService {


    private static final Logger logger = LoggerFactory.getLogger(DemandServiceImpl.class);

    ConstantUtil constantUtil = null;


    @Override
    public Integer saveSoftWareDemand(SaveDemandDTO saveDemandDTO) {

        Demand demand=new Demand();
        demand.setUserId(saveDemandDTO.getUserId());
        demand.setCompanyName(saveDemandDTO.getCompanyName());
        demand.setCompanyAddress(saveDemandDTO.getCompanyAddress());
        demand.setPerson(saveDemandDTO.getPerson());
        demand.setPersonPhone(saveDemandDTO.getPersonPhone());
        demand.setDemandSystem(saveDemandDTO.getDemandSystem());
        demand.setEmail(saveDemandDTO.getEmail());
        demand.setCompanyType(saveDemandDTO.getCompanyType());
        demand.setCompanyScale(saveDemandDTO.getCompanyScale());
        demand.setCompanyScope(saveDemandDTO.getCompanyScope());
        demand.setCompanyFramework(saveDemandDTO.getCompanyFramework());
        demand.setCompanyBusinessScope(saveDemandDTO.getCompanyBusinessScope());
        demand.setAgentLevel(saveDemandDTO.getAgentLevel());
        demand.setRemarks(saveDemandDTO.getRemarks());
        Integer result=super.baseMapper.insert(demand);

        return result;
    }
}
