package com.soft.service.impl;

import com.soft.entitys.sale.SaleOrderDetailBundle;
import com.soft.mapper.SaleOrderDetailBundleMapper;
import com.soft.service.SaleOrderDetailBundleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SaleOrderDetailBundleServiceImpl  implements SaleOrderDetailBundleService {

    @Autowired
    private SaleOrderDetailBundleMapper saleOrderDetailBundleMapper;

    @Override
    public List<SaleOrderDetailBundle> listByOrderDetailId(String orderId, String detailId) {
        return saleOrderDetailBundleMapper.listByOrderDetailId(orderId,detailId);
    }

    @Override
    public int updateById(SaleOrderDetailBundle saleOrderDetailBundle) {
        return saleOrderDetailBundleMapper.updateById(saleOrderDetailBundle);
    }
}
