package com.soft.utils;

import org.springframework.beans.BeanUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.function.Supplier;

public class CopyBeanUtil extends BeanUtils {

    public static <S,T> List<T>  copyListProperties (List<S> source, Supplier<T> target){
        List<T> list=new ArrayList<>();
        if(source==null||source.isEmpty()){
            return new ArrayList<>();
        }
        for (S s:source) {
            T t=target.get();
            copyProperties(s,t);
            list.add(t);
        }
        return list;
    }

}
