package com.soft.utils.convert.purchase;

import com.soft.bo.purchase.QueryPurchaseOrderBo;
import com.soft.bo.sale.QuerySaleOrderBo;
import com.soft.common.util.DateUtils;
import com.soft.entitys.voice.SaleOrder;

import java.math.BigDecimal;

public class QueryPurchaseOrderBOUtil {

    public static QueryPurchaseOrderBo toQueryPurchaseOrderBo(SaleOrder data) {
        QueryPurchaseOrderBo bo = new QueryPurchaseOrderBo();
        bo.setId(data.getId());
        bo.setCode(data.getCode());
        bo.setTotalAmount(data.getTotalAmount());
        bo.setProductAmount(BigDecimal.valueOf(data.getTotalNum()));
        bo.setCreateBy(data.getCreateBy());
        bo.setCreateTime(DateUtils.toLocalDateTime(data.getCreateTime()));
        bo.setStatus(data.getStatus());
        return bo;
    }
}
