package com.soft.utils.convert.sale;

import com.soft.bo.sale.QuerySaleOrderBo;
import com.soft.common.util.DateUtils;
import com.soft.entitys.voice.SaleOrder;

import java.math.BigDecimal;
import java.util.List;

public class QuerySaleOrderBOUtil {

    public static QuerySaleOrderBo toQuerySaleOrderBo(SaleOrder data) {
        QuerySaleOrderBo bo = new QuerySaleOrderBo();
        bo.setId(data.getId());
        bo.setCode(data.getCode());
        bo.setTotalAmount(data.getTotalAmount());
        bo.setProductAmount(BigDecimal.valueOf(data.getTotalNum()));
        bo.setCreateBy(data.getCreateBy());
        bo.setCreateTime(DateUtils.toLocalDateTime(data.getCreateTime()));
        bo.setStatus(data.getStatus());
        return bo;
    }
}
