package com.soft.validator;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.password.PasswordEncoder;

public class PasswordValidator {

    @Autowired
    private static PasswordEncoder passwordEncode;

    public static boolean validatePassword(String rawPassword, String encodedPassword) {
        return passwordEncode.matches(rawPassword, encodedPassword);
    }


    public static void main(String[] args) {
        String rawPassword = "123456"; // 用户输入的明文密码
        String dbHash = "$2a$10$urKiyPeegUkABEtb03ZeV.gSixN.6EGDtiN9dDY4kjkJJ1znnLixC";
        System.out.println(validatePassword(rawPassword, dbHash));
    }
}