package com.soft.vo;

import io.swagger.annotations.ApiModelProperty;
import javafx.scene.chart.ValueAxis;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ProductStockDataVo {

    private String id;

    @ApiModelProperty(value = "仓库ID")
    private String scId;

    @ApiModelProperty(value = "仓库名")
    private String scName;

    @ApiModelProperty(value = "商品ID")
    private String productId;

    @ApiModelProperty(value = "商品名")
    private String productName;

    @ApiModelProperty(value = "库存数量")
    private Integer stockNum;



}
