package com.soft.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class SaleSalerWeekRankVo {

    @ApiModelProperty(value = "销售人员")
    private String salerName;

    @ApiModelProperty(value = "销售金额")
    private BigDecimal saleAmount;

    public SaleSalerWeekRankVo(String salerName, BigDecimal saleAmount) {
        this.salerName=salerName;
        this.saleAmount=saleAmount;
    }
}
