package com.soft.vo.page;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public abstract class PageVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(
            value = "当前页码",
            required = true
    )
    private Integer pageIndex;
    @ApiModelProperty(
            value = "每页条数",
            required = true
    )
    private Integer pageSize;

    public PageVo() {
    }

    public Integer getPageIndex() {
        return this.pageIndex;
    }

    public Integer getPageSize() {
        return this.pageSize;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof PageVo)) {
            return false;
        } else {
            PageVo other = (PageVo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$pageIndex = this.getPageIndex();
                Object other$pageIndex = other.getPageIndex();
                if (this$pageIndex == null) {
                    if (other$pageIndex != null) {
                        return false;
                    }
                } else if (!this$pageIndex.equals(other$pageIndex)) {
                    return false;
                }

                Object this$pageSize = this.getPageSize();
                Object other$pageSize = other.getPageSize();
                if (this$pageSize == null) {
                    if (other$pageSize != null) {
                        return false;
                    }
                } else if (!this$pageSize.equals(other$pageSize)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof PageVo;
    }

    public String toString() {
        return "PageVo(pageIndex=" + this.getPageIndex() + ", pageSize=" + this.getPageSize() + ")";
    }
}

